# $Revision: 1.13 $, $Date: 2007/03/17 13:18:51 $
#
%define		gst_major_ver	0.10
%define		_snap	200703171409
#
Summary:	GStreamer DLL loader plugin
Summary(pl.UTF-8):	Wtyczka wczytująca DLL dla GStreamera
Name: 		gstreamer-pitfdll
Version: 	0.9cvs
Release:	0.%{_snap}.1
License: 	GPL
Group:		Libraries/Multimedia
Source0:	pitfdll-%{_snap}.tar.bz2
# Source0-md5:	e0f4176cba56afd0778c91a0fa29c51c
Patch1:		%{name}-am-prog-as.patch
URL:		http://ronald.bitfreak.net/pitfdll/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires: 	gstreamer-devel >= 0.10
BuildRequires: 	gstreamer-plugins-base >= 0.10
BuildRequires: 	gstreamer-plugins-base-devel >= 0.10
BuildRequires:	libtool
ExclusiveArch:	%{ix86}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define         gstlibdir       %{_libdir}/gstreamer-%{gst_major_ver}

%description
GStreamer is a streaming-media framework, based on graphs of filters
which operate on media data. Applications using this library can do
anything from real-time sound processing to playing videos, and just
about anything else media-related. Its plugin-based architecture means
that new data types or processing capabilities can be added simply by
installing new plug-ins.

This plugin contains a DLL loader to provide media playback for
proprietary formats.

%description -l pl.UTF-8
GStreamer to środowisko obróbki danych strumieniowych, bazujące na
grafie filtrów operujących na danych medialnych. Aplikacje używające
tej biblioteki mogą robić wszystko od przetwarzania dźwięku w czasie
rzeczywistym, do odtwarzania filmów i czegokolwiek innego związanego z
mediami. Architektura bazująca na wtyczkach pozwala na łatwe dodawanie
nowych typów danych lub możliwości obróbki.

Ta wtyczka wczytuje biblioteki DLL do odtwarzania plików
multimedialnych o zamkniętych formatach.

%prep
%setup -q -n pitfdll
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	--with-dlldir=/usr/lib/codecs
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README RELEASE TODO
%attr(755,root,root) %{gstlibdir}/libpitfdll.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gstreamer-pitfdll.spec,v $
Revision 1.13  2007/03/17 13:18:51  patrys
- current snap

Revision 1.12  2007/03/05 20:07:46  emes
- added BReq gstreamer-plugins-base-devel

Revision 1.11  2007/02/13 07:16:47  glen
- tabs in preamble

Revision 1.10  2007/02/12 00:48:54  baggins
- converted to UTF-8

Revision 1.9  2007/01/16 01:20:28  qrczak
- Fixed automake regeneration
- BuildRequires: gstreamer-plugins-base >= 0.10

Revision 1.8  2006/06/09 15:30:47  wolf
- cosmetics

Revision 1.7  2006/04/04 20:40:09  qboosh
- BR: ac,am,lt

Revision 1.6  2006/03/30 13:21:46  patrys
- this should be exclusive to x86

Revision 1.5  2006/03/30 12:15:19  patrys
- use proper path for win32 codecs

Revision 1.4  2006/03/28 20:43:25  patrys
- refetch source0

Revision 1.3  2006/03/28 20:35:09  patrys
- current snapshot for gst-0.10

Revision 1.2  2006/03/06 19:27:45  qboosh
- pl, revised doc

Revision 1.1  2006/03/05 13:31:27  patrys
- Initial PLD release
